=== debian/changelog ===
coinst (1.01-2) unstable; urgency=low

  * Rename patch clean_viewer to make-clean, also clean coinst.byte.
  * debian/rules: build bytecode on non-native architectures (closes: #656730)

 -- Ralf Treinen <treinen@debian.org>  Sat, 21 Jan 2012 21:58:07 +0100

coinst (1.01-1) unstable; urgency=low

  * Initial release (closes: #655395)

 -- Ralf Treinen <treinen@debian.org>  Sun, 01 Jan 2012 16:54:35 +0100
