=== debian/control ===
Source: coinst
Section: devel
Priority: extra
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>
Build-Depends: debhelper (>= 7.0.50~), dh-ocaml (>= 0.9~),
 ocaml-findlib,
 ocaml-nox (>= 3.11.1-3~),
# needed for the viewer:
 js-of-ocaml, libcairo-ocaml-dev
Standards-Version: 3.9.2
Homepage: http://coinst.irill.org
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/coinst.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/coinst.git

Package: coinst
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Recommends: coinst-viewer, dot
Description: computes the co-installability kernel of a deb or RPM repository
 This package is useful when you are interested in analyzing
 co-installability of packages in a large package repository.  A set
 of packages is called co-installable if it can be extended to a set
 that satisfies all inter-package relations (dependencies, conflicts,
 etc.).
 .
 This tool reduces a repository to a much smaller one, its so-called
 co-installability  kernel, that behaves exactly the same as far as
 co-installability of package is concerned. This is achieved by
 - dropping all relations that are not relevant for this purpose
 - identifying all packages that behave the same.
 The kernel is typically orders of magnitude smaller than the original
 repository.

Package: coinst-viewer
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Recommends: coinst
Description: viewer for co-installability kernels generated by coinst
 This package is useful when you are interested in analyzing
 co-installability of packages in a large package repository.
 It contains a custom viewer for co-installability kernels 
 generated by the coinst tool.
