=== debian/rules ===
#!/usr/bin/make -f

OPTCOMPILER=/usr/bin/ocamlopt

%:
	dh $@ --with ocaml

override_dh_auto_build:
	if [ -x $(OPTCOMPILER) ]; then \
                $(MAKE);\
		cd viewer;\
		make coinst_viewer;\
        else\
		$(MAKE) coinst.byte;\
		ln coinst.byte coinst;\
		cd viewer;\
		make coinst_viewer.byte;\
		ln coinst_viewer.byte coinst_viewer;\
        fi

override_dh_auto_clean:
	make clean
	cd viewer && make clean
