## coinst 1.9.1

=== Makefile ===
--- 
+++ 
@@ -1,25 +1,44 @@
 VERSION=1.01
 COINST=coinst
-
+UPGRADE=coinst-upgrades
+TRANS=comigrate
 
 OCAMLC=ocamlfind ocamlc
 OCAMLOPT=ocamlfind ocamlopt
 OCAMLDEP=ocamldep
+OCAMLYACC=ocamlyacc
+OCAMLLEX=ocamllex
 
-OBJS = util.cmx common.cmx dgraph.cmx solver.cmx api.cmx deb_lib.cmx rpm_lib.cmx repository.cmx quotient.cmx conflicts.cmx graph.cmx main.cmx
-COMPFLAGS=-package unix,str
+TASK = bytearray_stubs.o bytearray.cmx task_stubs.o task.cmx
+SVG=viewer/scene.cmx viewer/dot_parser.cmx viewer/dot_lexer.cmx \
+    viewer/dot_graph.cmx viewer/dot_render.cmx viewer/scene_svg.cmx \
+    viewer/dot_file.cmx
+OBJS = ptset.cmx util.cmx file.cmx debug.cmx common.cmx cache.cmx layout.cmx \
+       solver.cmx api.cmx deb_lib.cmx rpm_lib.cmx \
+       repository.cmx quotient.cmx conflicts.cmx graph.cmx coinst_common.cmx
+COMPFLAGS=-package unix,str,bigarray,cudf -g -I viewer
 OPTLINKFLAGS=$(COMPFLAGS) -linkpkg
 
-all: $(COINST)
+OCAMLDEP=ocamlfind ocamldep
+DEPFLAGS = -package js_of_ocaml,js_of_ocaml.syntax -syntax camlp4o -I viewer
 
-$(COINST): $(OBJS)
+all: $(COINST) $(UPGRADE) $(TRANS)
+
+$(COINST): $(OBJS) cudf_lib.cmx coinst_json.cmx coinst.cmx
 	$(OCAMLOPT) -o $@  $(OPTLINKFLAGS) $^ $(LINKFLAGS)
 
-$(COINST).byte: $(OBJS:.cmx=.cmo)
+$(COINST).byte: $(OBJS:.cmx=.cmo) cudf_lib.cmo coinst.cmo
 	$(OCAMLC) -o $@  $(OPTLINKFLAGS) $^ $(LINKFLAGS)
 
+
+$(UPGRADE): $(OBJS) $(TASK) $(SVG) upgrade_common.cmx upgrade.cmx upgrade_main.cmx
+	$(OCAMLOPT) -o $@  $(OPTLINKFLAGS) $^ $(LINKFLAGS)
+
+$(TRANS): $(OBJS) $(TASK) $(SVG) update_data.cmx upgrade_common.cmx upgrade.cmx horn.cmx transition.cmx
+	$(OCAMLOPT) -o $@  $(OPTLINKFLAGS) $^ $(LINKFLAGS)
+
 clean::
-	rm -f $(COINST)
+	rm -f $(COINST) $(UPGRADE) $(TRANS)
 
 #####
 
@@ -52,8 +71,9 @@
 .c.o:
 	$(OCAMLC) -ccopt "-o $@" $(COMPFLAGS) -ccopt "$(CFLAGS)" -c $<
 
-depend:
-	$(OCAMLDEP) $(DEPFLAGS) *.ml *.mli > .depend
+depend: viewer/dot_parser.ml viewer/dot_lexer.ml
+	ls *.ml *.mli viewer/*.ml viewer/*.mli | \
+        xargs $(OCAMLDEP) $(DEPFLAGS) > .depend
 
 include .depend
