=== debian/changelog ===
coinst (1.9.1-1) unstable; urgency=low

  * Update debian/gbp.conf to automatically filter out the "Talks"
    directory upon import using git-import-orig.
  * Import new upstream (minor) release
    - Remove no longer needed 0001-Fixed-to-compile-with-OCaml-4.01.patch 
    - Update patch make_byte 

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 17 Jan 2014 22:51:09 +0100

coinst (1.9.0-1) unstable; urgency=low

  [ Ralf Treinen ]
  * debian/rules: use $(OCAML_HAVE_OCAMLOPT) to distinguish native from
    non-native archs (thanks to Mehdi Dogguy for the hint!)

  [ Mehdi Dogguy ]
  * Update debian/gbp.conf to automatically filter "migration-reports"
    and "snapshots" directories upon import using git-import-orig.
  * Import new upstream release
    - Update debian/patches/make_clean
    - Update debian/patches/make_coinst
    - Update debian/patches/make_viewer_byte in order to build coinst_converter.byte
      as well on bytecode architectures.
    - Add debian/patches/make_byte
    - Add debian/patches/Fixed-to-compile-with-OCaml-4.01.patch (from upstream)
  * Install comigrate and coinst-upgrades utilities.
  * Install coinst_converter and jsviewer.js in the coinst-viewer package
    (Closes: #665447).
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Add libcudf-ocaml-dev to Build-Depends.

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 16 Jan 2014 23:44:57 +0100
