=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: devel
 Priority: extra
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Ralf Treinen <treinen@debian.org>
+Uploaders: Ralf Treinen <treinen@debian.org>, Mehdi Dogguy <mehdi@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), dh-ocaml (>= 0.9~),
  ocaml-findlib,
  ocaml-nox (>= 3.11.1-3~),
+ libcudf-ocaml-dev,
 # needed for the viewer:
  js-of-ocaml, libcairo-ocaml-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://coinst.irill.org
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/coinst.git
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/coinst.git
