## coinst 1.9.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=1.01
+VERSION=1.9.2
 COINST=coinst
 UPGRADE=coinst-upgrades
 TRANS=comigrate
@@ -16,34 +16,52 @@
 OBJS = ptset.cmx util.cmx file.cmx debug.cmx common.cmx cache.cmx layout.cmx \
        solver.cmx api.cmx deb_lib.cmx rpm_lib.cmx \
        repository.cmx quotient.cmx conflicts.cmx graph.cmx coinst_common.cmx
-COMPFLAGS=-package unix,str,bigarray,cudf -g -I viewer
+COMPFLAGS=-package unix,str,bigarray,cudf -g -I viewer -annot -bin-annot -safe-string
 OPTLINKFLAGS=$(COMPFLAGS) -linkpkg
+BYTELINKFLAGS=$(OPTLINKFLAGS) -dllib -lbytearray_stubs -cclib -lbytearray_stubs -dllib -ltask_stubs -cclib -ltask_stubs
 
 OCAMLDEP=ocamlfind ocamldep
 DEPFLAGS = -package js_of_ocaml,js_of_ocaml.syntax -syntax camlp4o -I viewer
 
 all: $(COINST) $(UPGRADE) $(TRANS)
+opt: all
+byte: dllbytearray_stubs.so dlltask_stubs.so $(COINST).byte $(UPGRADE).byte $(TRANS).byte
+
+dllbytearray_stubs.so: bytearray_stubs.o
+	ocamlmklib -o bytearray_stubs $^
+
+dlltask_stubs.so: task_stubs.o
+	ocamlmklib -o task_stubs $^
 
 $(COINST): $(OBJS) cudf_lib.cmx coinst_json.cmx coinst.cmx
 	$(OCAMLOPT) -o $@  $(OPTLINKFLAGS) $^ $(LINKFLAGS)
 
-$(COINST).byte: $(OBJS:.cmx=.cmo) cudf_lib.cmo coinst.cmo
-	$(OCAMLC) -o $@  $(OPTLINKFLAGS) $^ $(LINKFLAGS)
+$(COINST).byte: $(OBJS:.cmx=.cmo) cudf_lib.cmo coinst_json.cmo coinst.cmo
+	$(OCAMLC) -o $@  $(BYTELINKFLAGS) $^ $(LINKFLAGS)
+	cp $@ $(COINST)
 
 
 $(UPGRADE): $(OBJS) $(TASK) $(SVG) upgrade_common.cmx upgrade.cmx upgrade_main.cmx
 	$(OCAMLOPT) -o $@  $(OPTLINKFLAGS) $^ $(LINKFLAGS)
 
+$(UPGRADE).byte: $(OBJS:.cmx=.cmo) $(TASK:.cmx=.cmo) $(SVG:.cmx=.cmo)  upgrade_common.cmo upgrade.cmo upgrade_main.cmo
+	$(OCAMLC) -o $@  $(BYTELINKFLAGS) $^ $(LINKFLAGS)
+	cp $@ $(UPGRADE)
+
 $(TRANS): $(OBJS) $(TASK) $(SVG) update_data.cmx upgrade_common.cmx upgrade.cmx horn.cmx transition.cmx
 	$(OCAMLOPT) -o $@  $(OPTLINKFLAGS) $^ $(LINKFLAGS)
 
+$(TRANS).byte: $(OBJS:.cmx=.cmo) $(TASK:.cmx=.cmo) $(SVG:.cmx=.cmo) update_data.cmo upgrade_common.cmo upgrade.cmo horn.cmo transition.cmo
+	$(OCAMLC) -o $@  $(BYTELINKFLAGS) $^ $(LINKFLAGS)
+	cp $@ $(TRANS)
+
 clean::
-	rm -f $(COINST) $(UPGRADE) $(TRANS)
+	rm -f $(COINST) $(UPGRADE) $(TRANS) $(COINST).byte $(UPGRADE).byte $(TRANS).byte
 
 #####
 
 clean::
-	find . -regex ".*\\.\(cm[oix]\|o\)" | xargs rm -f
+	find . -regex ".*\\.\(cm[toix].?\|o\|annot\)" | xargs rm -f
 
 .SUFFIXES: .cmo .cmi .cmx .ml .mli .mly .mll .idl .o .c
