=== viewer/Makefile ===
--- 
+++ 
@@ -21,12 +21,20 @@
 LINKFLAGS=-package js_of_ocaml -linkpkg
 
 all: coinst_viewer jsviewer.js coinst_converter
+opt: all
+byte: coinst_viewer.byte jsviewer.js coinst_converter.byte
 
 coinst_viewer: $(OBJS)
 	$(OCAMLOPT) -o $@  $(OPTLINKFLAGS) $^
 
+coinst_viewer.byte: $(OBJS:.cmx=.cmo)
+       $(OCAMLC) -o $@  $(OPTLINKFLAGS) $^
+
 coinst_converter: $(CONVERTER)
 	$(OCAMLOPT) -o $@  $(OPTLINKFLAGS) $^
+
+coinst_converter.byte: $(CONVERTER:.cmx=.cmo)
+	$(OCAMLC) -o $@  $(OPTLINKFLAGS) $^
 
 jsviewer.js: jsviewer.byte
 	js_of_ocaml $^ -pretty
@@ -38,13 +46,14 @@
 	rm -f dot_parser.ml dot_parser.mli dot_lexer.ml
 
 clean::
-	rm -f coinst_converter coinst_viewer
+	rm -f coinst_converter coinst_viewer coinst_viewer.byte coinst_converter.byte
 	rm -f jsviewer.js jsviewer.byte
+	rm -f dot_lexer.ml dot_parser.ml
 
 #####
 
 clean::
-	find . -regex ".*\\.\(cm[oix]\|o\)" | xargs rm -f
+	find . -regex ".*\\.\(cm[toix].?\|o\|annot\)" | xargs rm -f
 
 %.cmx: %.ml
 	$(OCAMLOPT) $(OPTCOMPFLAGS) $(COMPFLAGS) -c $<
