=== debian/changelog ===
coinst (1.9.2-1) unstable; urgency=medium

  * New upstream release:
    - Avoid ambiguous output when package has multiple versions
      (Closes: #759476)
    - Add a new line before "LARGER NON-INSTALLABLE SETS"
      (Closes: #759474)
    - Use http.debian.net and allow user to specify source mirror by
      passing --source flag (Closes: #736910)
  * Remove all patches, integrated upstream.
  * Fix space/tab issue in viewer/Makefile
    - add debian/patches/0001-Fix-a-space-tab-issue-in-Makefile.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 12 Feb 2016 00:12:30 +0100

coinst (1.9.1-2) unstable; urgency=medium

  * Fix FTBFS with OCaml 4.02.3
    - Add Ptset.of_list, Ptset.Big.of_list and Ptset.BigPos.of_list
    - Add camlp4 as a build dependency

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 18 Oct 2015 17:04:40 +0200
