## coinst 1.9.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=1.9.2
+VERSION=1.9.3
 COINST=coinst
 UPGRADE=coinst-upgrades
 TRANS=comigrate
