=== debian/changelog ===
coinst (1.9.3-5) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload

  [ Bastian Germann ]
  * Drop coinst-viewer (Closes: #967294)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 27 Aug 2023 07:16:17 +0200

coinst (1.9.3-4) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Bump Standards-Version to 4.6.2

  [ Debian Janitor ]
  * Use versioned copyright format URI.
  * Update watch file format version to 4.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags
    page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>.
  * debian/watch: Use GitHub /tags rather than /releases page.

 -- Stéphane Glondu <glondu@debian.org>  Tue, 08 Aug 2023 09:31:46 +0200

coinst (1.9.3-3) unstable; urgency=medium

  * Team upload
  * Port jsviewer.js to modern js_of_ocaml

 -- Stéphane Glondu <glondu@debian.org>  Wed, 19 Aug 2020 15:07:12 +0200

coinst (1.9.3-2) unstable; urgency=medium

  * Team upload
  * Fix FTBFS with OCaml 4.08.1 (Closes: #956556)
  * Update Vcs-* to point to salsa
  * Update debian/watch
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Thu, 13 Aug 2020 15:46:28 +0200

coinst (1.9.3-1) unstable; urgency=medium

  * New upstream release
  * Remove patch, integrated upstream.

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 13 Feb 2016 14:42:20 +0100
