=== debian/control ===
Source: coinst
Section: devel
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>, Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-ocaml,
 ocaml-findlib,
 ocaml,
 libcudf-ocaml-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://coinst.irill.org
Vcs-Browser: https://salsa.debian.org/ocaml-team/coinst
Vcs-Git: https://salsa.debian.org/ocaml-team/coinst.git

Package: coinst
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Recommends: dot
Description: computes the co-installability kernel of a deb or RPM repository
 This package is useful when you are interested in analyzing
 co-installability of packages in a large package repository.  A set
 of packages is called co-installable if it can be extended to a set
 that satisfies all inter-package relations (dependencies, conflicts,
 etc.).
 .
 This tool reduces a repository to a much smaller one, its so-called
 co-installability  kernel, that behaves exactly the same as far as
 co-installability of package is concerned. This is achieved by
 - dropping all relations that are not relevant for this purpose
 - identifying all packages that behave the same.
 The kernel is typically orders of magnitude smaller than the original
 repository.
