=== debian/watch ===
version=4
https://github.com/vouillon/coinst/tags .*/archive/refs/tags/v?([0-9.]+)\.tar\.gz
